Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000843 [Piwigo] database minor always 2008.08.21 10:49 2008.08.23 03:17
Reporter mercuryvapour View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform Win2000
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.3 Product Version 1.7.2
  Target Version Product Build
Summary 0000843: Author Info not saving
Description When a user uploads a photo, information such as the description and creation date they enter is correctly saved to the database, but the information entered in the "author" field is not saved.

Originally reported the issue in the forum here:-
http://forum.phpwebgallery.net/viewtopic.php?pid=93573#p93573 [^]

Example of an uploaded photograph with the author field as "N/A" can be found here:-
http://www.scribcam.co.uk/gallery/picture.php?/5725/category/76 [^]

Steps To Reproduce 1. Select photo to upload
2. Enter details in the appropriate fields (Username is already populated)
3. Upload photo
4. Upload thumbnail (or allow one to be created through phpwg)
5. Authorise image and synchronise database
6. Return to newly uploaded photo, author is N/A, and appropriate field in database is (NULL)
Additional Information Have two separate installations of PHPWG on different OSes, occurs on both...

PhpWebGallery version

        * PhpWebGallery 1.7.2
        * Check for upgrade

Environment

        * Operating system: WINNT
        * PHP: 5.2.6 (Show info) [2008-08-21 09:52:00]
        * MySQL: 5.0.51b-community-nt [2008-08-21 09:52:00]

------------------------------------------------------------------------
PhpWebGallery version

        * PhpWebGallery 1.7.1
        * Check for upgrade

Environment

        * Operating system: FreeBSD
        * PHP: 4.4.4 (Show info) [2008-08-21 09:51:00]
        * MySQL: 4.1.18 [2008-08-21 09:51:00]

Tags No tags attached.
browser any
Database engine and version Shown in "Additional Information"
PHP version Shown in "Additional Information"
Web server Apache 2.0.54 (on FreeBSD) and Apache 2.2.8 (on WINNT)
Attached Files

- Relationships

-  Notes
(0002326)
rvelices (developer)
2008.08.23 03:17

[Subversion] r2485 trunk
[Subversion] r2486 branch-1_7

stupid bug - replace
$xml_infos = '<infos';
with:
$xml_infos = '<infos ';
(one extra space before closing apos)

- Issue History
Date Modified Username Field Change
2008.08.21 10:49 mercuryvapour New Issue
2008.08.21 10:49 mercuryvapour browser => any
2008.08.21 10:49 mercuryvapour MySQL version => Shown in "Additional Information"
2008.08.21 10:49 mercuryvapour PHP version => Shown in "Additional Information"
2008.08.21 10:49 mercuryvapour Web server => Apache 2.0.54 (on FreeBSD) and Apache 2.2.8 (on WINNT)
2008.08.23 00:21 rvelices Status new => assigned
2008.08.23 00:21 rvelices Assigned To => rvelices
2008.08.23 03:17 rvelices Note Added: 0002326
2008.08.23 03:17 rvelices Status assigned => closed
2008.08.23 03:17 rvelices Resolution open => fixed
2008.08.23 03:17 rvelices Fixed in Version => 1.7.3


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker